UnsupportedDataTypeException (Java Platform SE 8 )
Keywords: javax.activation.UnsupportedDataTypeException class
Date: 2026-04-17

javax.activation

## Class UnsupportedDataTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.activation.UnsupportedDataTypeException

- All Implemented Interfaces:
    Serializable

      public class UnsupportedDataTypeException
      extends IOException

  Signals that the requested operation does not support the requested data type.
  Since:
    1.6
  See Also:
    `DataHandler`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedDataTypeException()` Constructs an UnsupportedDataTypeException with no detail message.
    `UnsupportedDataTypeException(String s)` Constructs an UnsupportedDataTypeException with the specified message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedDataTypeException

          public UnsupportedDataTypeException()

      Constructs an UnsupportedDataTypeException with no detail message.

    - #### UnsupportedDataTypeException

          public UnsupportedDataTypeException(String s)

      Constructs an UnsupportedDataTypeException with the specified message.
      Parameters:
        `s` - The detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.